package com.fs.fastGpt.mapper;


import com.fs.fastGpt.domain.FastGptDataset;

import java.util.List;

/**
 * 知识库列Mapper接口
 * 
 * @author fs
 * @date 2024-09-30
 */
public interface FastGptDatasetMapper 
{
    /**
     * 查询知识库列
     * 
     * @param datasetId 知识库列主键
     * @return 知识库列
     */
    public FastGptDataset selectFastGptDatasetByDatasetId(String datasetId);

    /**
     * 查询知识库列列表
     * 
     * @param fastGptDataset 知识库列
     * @return 知识库列集合
     */
    public List<FastGptDataset> selectFastGptDatasetList(FastGptDataset fastGptDataset);

    /**
     * 新增知识库列
     * 
     * @param fastGptDataset 知识库列
     * @return 结果
     */
    public int insertFastGptDataset(FastGptDataset fastGptDataset);
    public int insertOrUpdateFastGptDataset(FastGptDataset fastGptDataset);

    /**
     * 修改知识库列
     * 
     * @param fastGptDataset 知识库列
     * @return 结果
     */
    public int updateFastGptDataset(FastGptDataset fastGptDataset);

    /**
     * 删除知识库列
     * 
     * @param datasetId 知识库列主键
     * @return 结果
     */
    public int deleteFastGptDatasetByDatasetId(String datasetId);

    /**
     * 批量删除知识库列
     * 
     * @param datasetIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFastGptDatasetByDatasetIds(String[] datasetIds);
}
